#!/bin/sh

# ------------------------------------------------------------
# create-and-iso
#
# shell script to create SSH key pairs and place them inisde an ISO image
#
# Copyright 2013-2014 X-Net and AIT Austrian Institute of Technology
# 
# 
#     X-Net Services GmbH
#     Elisabethstrasse 1
#     4020 Linz
#     AUSTRIA
#     https://www.x-net.at
# 
#     AIT Austrian Institute of Technology
#     Donau City Strasse 1
#     1220 Wien
#     AUSTRIA
#     http://www.ait.ac.at
# 
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#    http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# and create a ISO image with it
# ------------------------------------------------------------

VM_NAME=$(basename "$(pwd)")
echo ${VM_NAME}

mkdir .ssh &> /dev/null
ssh-keygen -q -t rsa -N "" -C "${VM_NAME}" -f dvm_key &> /dev/null
chmod 500 dvm_key
mv dvm_key.pub .ssh/authorized_keys
genisoimage -J -R -o "${VM_NAME}.iso" .ssh

