#!/bin/bash

# ------------------------------------------------------------
# download_initial_image.sh
#
# download initial VM for
#
# Copyright 2013-2014 X-Net and AIT Austrian Institute of Technology
# 
# 
#     X-Net Services GmbH
#     Elisabethstrasse 1
#     4020 Linz
#     AUSTRIA
#     https://www.x-net.at
# 
#     AIT Austrian Institute of Technology
#     Donau City Strasse 1
#     1220 Wien
#     AUSTRIA
#     http://www.ait.ac.at
# 
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#    http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ------------------------------------------------------------


# ------------------------------------------------------------
# code


# download the ionitial OsecVM.ova from the X-Net servers
# and place the file in the folder specified by ${1}


# ------------------------------
# main ...
#

# check if we do have elevated rights
# that is "Run as Administrator" invocation
id -G | grep 544 &> /dev/null
if [ "${?}" != 0 ]; then
    echo "Insufficient privileges. Is this script executed with 'Run As Administrator'?"
    echo "I'll try anyway..."
fi

TARGET_FOLDER="${1}"
echo "fetching OpenSecurity initial VM at " $(date)
echo "target folder: ${TARGET_FOLDER}"

# sanity check
mkdir -p "${TARGET_FOLDER}" 
if [ ! -d "${TARGET_FOLDER}" ]; then
    echo "failed to access target folder."
    exit 1
fi

# start download
URL="http://service.x-net.at/opensecurity/OsecVM_latest.ova"
wget --progress=dot:mega ${URL} -O "${TARGET_FOLDER}"/OsecVM.ova


